package com.kovi;

import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.ejb.Singleton;
import javax.ejb.Startup;

/**
 *
 * @author gregor
 */
@Startup
@Singleton
public class StartupBean {
    @EJB
    private CacheBean cacheBean;
    
    @PostConstruct
    public void start() {
        try {
            for (int i = 0; i < 100000; i++) {
                cacheBean.addValue("KEY_" + i, "VALUE_" + i);
                
                if (i % 1000 == 0) {
                    System.out.println("i  =" + i);
                }
            }
            
            System.out.println(cacheBean.getValue("KEY_1"));
            System.out.println(cacheBean.size());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
